libgdamm 4.99.10

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- c
- d
- h
- m
- s

### - c -

- CONFIG_DSN_NOT_FOUND_ERROR : Gnome::Gda::ConfigError
- CONFIG_PERMISSION_ERROR : Gnome::Gda::ConfigError
- CONFIG_PROVIDER_CREATION_ERROR : Gnome::Gda::ConfigError
- CONFIG_PROVIDER_NOT_FOUND_ERROR : Gnome::Gda::ConfigError
- CONNECTION_CANT_LOCK_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_CLOSED_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_DSN_NOT_FOUND_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_META_DATA_CONTEXT_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_NO_CNC_SPEC_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_NO_PROVIDER_SPEC_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_OPEN_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_PROVIDER_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_PROVIDER_NOT_FOUND_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_STATEMENT_TYPE_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_TASK_NOT_FOUND_ERROR : Gnome::Gda::ConnectionError
- CONNECTION_UNSUPPORTED_THREADS_ERROR : Gnome::Gda::ConnectionError

### - d -

- DATA_MODEL_ACCESS_ERROR : Gnome::Gda::DataModelError
- DATA_MODEL_COLUMN_OUT_OF_RANGE_ERROR : Gnome::Gda::DataModelError
- DATA_MODEL_FEATURE_NON_SUPPORTED_ERROR : Gnome::Gda::DataModelError
- DATA_MODEL_FILE_EXIST_ERROR : Gnome::Gda::DataModelError
- DATA_MODEL_ITER_COLUMN_OUT_OF_RANGE_ERROR : Gnome::Gda::DataModelIterError
- DATA_MODEL_OTHER_ERROR : Gnome::Gda::DataModelError
- DATA_MODEL_ROW_NOT_FOUND_ERROR : Gnome::Gda::DataModelError
- DATA_MODEL_ROW_OUT_OF_RANGE_ERROR : Gnome::Gda::DataModelError
- DATA_MODEL_TRUNCATED_ERROR : Gnome::Gda::DataModelError
- DATA_MODEL_VALUE_TYPE_ERROR : Gnome::Gda::DataModelError
- DATA_MODEL_VALUES_LIST_ERROR : Gnome::Gda::DataModelError
- DATA_MODEL_XML_FORMAT_ERROR : Gnome::Gda::DataModelError

### - h -

- HOLDER_STRING_CONVERSION_ERROR : Gnome::Gda::HolderError
- HOLDER_VALUE_NULL_ERROR : Gnome::Gda::HolderError
- HOLDER_VALUE_TYPE_ERROR : Gnome::Gda::HolderError

### - m -

- META_STORE_ATTRIBUTE_ERROR : Gnome::Gda::MetaStoreError
- META_STORE_ATTRIBUTE_NOT_FOUND_ERROR : Gnome::Gda::MetaStoreError
- META_STORE_EXTRACT_SQL_ERROR : Gnome::Gda::MetaStoreError
- META_STORE_INCORRECT_SCHEMA_ERROR : Gnome::Gda::MetaStoreError
- META_STORE_INTERNAL_ERROR : Gnome::Gda::MetaStoreError
- META_STORE_META_CONTEXT_ERROR : Gnome::Gda::MetaStoreError
- META_STORE_MODIFY_CONTENTS_ERROR : Gnome::Gda::MetaStoreError
- META_STORE_SCHEMA_OBJECT_CONFLICT_ERROR : Gnome::Gda::MetaStoreError
- META_STORE_SCHEMA_OBJECT_DESCR_ERROR : Gnome::Gda::MetaStoreError
- META_STORE_SCHEMA_OBJECT_NOT_FOUND_ERROR : Gnome::Gda::MetaStoreError
- META_STORE_TRANSACTION_ALREADY_STARTED_ERROR : Gnome::Gda::MetaStoreError
- META_STORE_UNSUPPORTED_PROVIDER_ERROR : Gnome::Gda::MetaStoreError
- META_STRUCT_DUPLICATE_OBJECT_ERROR : Gnome::Gda::MetaStructError
- META_STRUCT_INCOHERENCE_ERROR : Gnome::Gda::MetaStructError
- META_STRUCT_UNKNOWN_OBJECT_ERROR : Gnome::Gda::MetaStructError
- META_STRUCT_XML_ERROR : Gnome::Gda::MetaStructError

### - s -

- SERVER_PROVIDER_BUSY_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_DATA_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_DEFAULT_VALUE_HANDLING_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_EMPTY_STMT_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_FILE_NOT_FOUND_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_INTERNAL_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_METHOD_NON_IMPLEMENTED_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_MISSING_PARAM_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_MISUSE_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_NON_SUPPORTED_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_OPERATION_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_PREPARE_STMT_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_SERVER_VERSION_ERROR : Gnome::Gda::ServerProviderError
- SERVER_PROVIDER_STATEMENT_EXEC_ERROR : Gnome::Gda::ServerProviderError
- SQL_BUILDER_MISUSE_ERROR : Gnome::Gda::SqlBuilderError
- SQL_BUILDER_WRONG_TYPE_ERROR : Gnome::Gda::SqlBuilderError
- SQL_MALFORMED_IDENTIFIER_ERROR : Gnome::Gda::SqlError
- SQL_MISSING_IDENTIFIER_ERROR : Gnome::Gda::SqlError
- SQL_PARSER_EMPTY_SQL_ERROR : Gnome::Gda::SqlParserError
- SQL_PARSER_OVERFLOW_ERROR : Gnome::Gda::SqlParserError
- SQL_PARSER_SYNTAX_ERROR : Gnome::Gda::SqlParserError
- SQL_STRUCTURE_CONTENTS_ERROR : Gnome::Gda::SqlError
- SQL_VALIDATION_ERROR : Gnome::Gda::SqlError
- STATEMENT_CNC_CLOSED_ERROR : Gnome::Gda::StatementError
- STATEMENT_EXEC_ERROR : Gnome::Gda::StatementError
- STATEMENT_NO_CNC_ERROR : Gnome::Gda::StatementError
- STATEMENT_PARAM_ERROR : Gnome::Gda::StatementError
- STATEMENT_PARAM_TYPE_ERROR : Gnome::Gda::StatementError
- STATEMENT_PARSE_ERROR : Gnome::Gda::StatementError
- STATEMENT_SYNTAX_ERROR : Gnome::Gda::StatementError